Summary:	X.org mouse input driver
Summary(pl.UTF-8):	Sterownik wejściowy myszy dla X.org
Name:		xorg-driver-input-mouse
Version:	1.9.5
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-input-mouse-%{version}.tar.xz
# Source0-md5:	9e2c33131f804476053c618859193dd1
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.7
BuildRequires:	xz
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org mouse input driver. It supports most available mouse types and
interfaces, including USB and PS/2.

%description -l pl.UTF-8
Sterownik wejściowy myszy dla X.org. Obsługuje większość dostępnych
rodzajów myszy i interfejsów, w tym USB i PS/2.

%package devel
Summary:	Header file for mouse driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika myszy
Group:		Development/Libraries

%description devel
Header file for mouse driver.

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika myszy.

%prep
%setup -q -n xf86-input-mouse-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/input/mouse_drv.so
%{_mandir}/man4/mousedrv.4*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg/xf86-mouse-properties.h
%{_pkgconfigdir}/xorg-mouse.pc
%changelog
* Fri May 05 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-mouse.git;a=log;h=master

* Fri May 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 4810e95
- updated to 1.9.5

* Thu Nov 03 2022 Jakub Bogusz <qboosh@pld-linux.org> 272cbe3
- updated to 1.9.4

* Fri Jun 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 5b2072c
- updated URLs

* Tue Jun 19 2018 Lukasz Masko <lmasko@pld-linux.org> 543ca54
- Up to 1.9.3.

* Sun Nov 20 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 896d7cc
- up to 1.9.2

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> fbf7c0e
- release 4 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> cf1f99e
- release 3 (by relup.sh)

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 99a3888
- x32 rebuild
- release 2 (by relup.sh)

* Sat Aug 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 12f98af
- updated to 1.9.1

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a570baf
- xserver rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 286eb4b
- xserver rebuild
- release 3 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 4929622
- release 2 (by relup.sh)

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 19c7864
- updated to 1.9.0

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7917e16
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 31d9739
- release 2 (by relup.sh)

* Tue Jul 31 2012 Jakub Bogusz <qboosh@pld-linux.org> f7c1ded
- updated to 1.8.1

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 9f83564
- updated to 1.8.0
- introduced -devel subpackage

* Fri Mar 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 305c2c4
- updated to 1.7.2

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f6ab898
- release 3

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 68e4dae
- release 2

